%define 	module	TwistedWords
%define		major	8.1
%define		minor	0

Summary:	Chat and Instant Messaging for Twisted
Summary(pl.UTF-8):	Chat oraz Instant Messaging dla Twisted
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	5
License:	MIT
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Words/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	40cecdc6d58efefdb02b50961bb9a381
URL:		http://twistedmatrix.com/trac/wiki/TwistedWords
BuildRequires:	ZopeInterface
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python-libs
Requires:	python-TwistedCore >= 2.4.0
Obsoletes:	python-Twisted-words
Obsoletes:	python-TwistedXish
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twisted Words includes:
- Low-level protocol implementations of OSCAR (AIM and ICQ), IRC, MSN,
  TOC (AIM),
- Jabber libraries,
- Prototypes of chat server and client frameworks built on top of the
  protocols.

%description -l pl.UTF-8
Twisted Words zawiera:
- Niskopoziomowe implementacje protokołów OSCAR (AIM oraz ICQ), IRC,
  MSN, TOC (AIM),
- Biblioteki Jabberowe,
- Prototypy serwera chatowego

%package doc
Summary:	Documentation for Twisted
Summary(pl.UTF-8):	Dokumentacja do Twisted
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
Offline documentation for Twisted - event-driven networking framework
written in Python.

%description doc -l pl.UTF-8
Dokumentacja offline do Twisted - narzędzia do budowania rozproszonych
aplikacji sieciowych pisanych w Pythonie.

%package examples
Summary:	Example programs for Twisted
Summary(pl.UTF-8):	Programy przykładowe do Twisted
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Twisted.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla Twisted.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
%{__python} setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir}/twisted,%{py_sitescriptdir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

%py_install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

install doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/*.egg-info
%{py_sitedir}/twisted/words
%{py_sitedir}/twisted/plugins/*
%{_mandir}/man1/*.1*

%files doc
%defattr(644,root,root,755)
%doc doc/howto

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-TwistedWords.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> d6df471
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> f5ed18b
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ca30a47
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5973dfa
- automatic change: use py_build/py_install macros

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> c5105de
- x32 rebuild
- release 3 (by relup.sh)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ab4c963
- release 2

* Wed Oct 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 8043d19
- python 2.5 for .egg-info
- BR: pythonprov, macros for py_postclean

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> 67c9344
- updated to 8.1.0

* Fri May 02 2008 luzik <luzik@pld-linux.org> df03211
- updated to 8.0.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6c27ee3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fb5a49d
- converted to UTF-8

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 997e3b4
- cp -a implies cp -r

* Sat Jun 03 2006 Jakub Bogusz <qboosh@pld-linux.org> ceb51e3
- Obsoletes: python-Twisted-words

* Fri Jun 02 2006 Artur Frysiak <artur@frysiak.net> c674c3a
- updated to 0.4.0
- O: python-TwistedXish

* Tue May 31 2005 Artur Frysiak <artur@frysiak.net> 1193183
- R: python-TwistedXish for jabber support

* Wed May 18 2005 Michal Chruszcz <mchruszcz@gmail.com> 7456b8f
- initial checkin

